package job

import (
	"fmt"
	_ "github.com/go-sql-driver/mysql"
	"github.com/spf13/cobra"
	"github.com/gocolly/colly"
)

func test() {

	// Instantiate default collector
	c := colly.NewCollector(
		// Visit only domains: hackerspaces.org, wiki.hackerspaces.org
		colly.AllowedDomains("dict.cn", "m.dict.cn"),
	)

	// On every a element which has href attribute call callback
	c.OnHTML("div[class=sent]", func(e *colly.HTMLElement) {
		//link := e.Attr("href")
		// Print link
		fmt.Printf("Link found: %q -> %s\n", e.Text)
		// Visit link found on page
		// Only those links are visited which are in AllowedDomains
		//c.Visit(e.Request.AbsoluteURL(link))
	})

	/**
	1. div[class=sent]
	2. 例句 div[class=layout sort]
	3. 词法用法 div[class=section learn]
	4.
	 */

	// Before making a request print "Visiting ..."
	c.OnRequest(func(r *colly.Request) {
		fmt.Println("Visiting", r.URL.String())
	})

	// Start scraping on https://hackerspaces.org
	c.Visit("http://dict.cn/about")
}

func newTestCmd() *cobra.Command {
	cmd := &cobra.Command{
		Use:   "test",
		Short: "Run the test service",
		Run: func(cmd *cobra.Command, args []string) {
			//fmt.Println("Echo: " + strings.Join(args, " "))

			test()
		},
	}
	return cmd
}

